# MRZ

### The method use to Start MRZ scanning is

```
AccuraOcr.startMRZ(config)
```

In the above method, the 'config' parameter is an array that consists of the following values, provided in the same format and sequence as shown below:

```
var config = [
  mrzselected, //pass either of the following passport_mrz, id_mrz, visa_mrz, other_mrz (String)
];
```

### The example function is shown below

```
Future<void> startMRZ() async {
try {
var config = [
  mrzselected,
];
await AccuraOcr.startMRZ(config)
    .then((value) => {
  setState((){
    dynamic result = json.decode(value);
          })
        }).onError((error, stackTrace) => {
      });
    } on PlatformException {}
}
```

### ***Response:***

**On Success:** JSON String Response

**Error:** String


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accurascan.com/language/flutter/functions/mrz.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
